<config format="xml">
<define name="bindip" value="217.155.18.250">
<define name="localips" value="&bindip;/24">
 
####### SERVER CONFIGURATION #######
 
<server
        name="madoka.bengreen.eu"
        description="Madoka"
        id="9AD"
        network="irc.bengreen.eu">
 
 
####### ADMIN INFO #######
 
<admin
       name="Ben Green"
       nick="bengreen5"
       email="bengreen5@yahoo.com">
 
####### PORT CONFIGURATION #######

<bind address="&bindip;" port="6667" type="clients">

<bind
      address="&bindip;"
      port="6697"
      type="clients"
      ssl="openssl">

<module name="m_ssl_openssl.so">
<openssl certfile="/etc/inspircd/cert.pem" keyfile="/etc/inspircd/privkey.pem" dhfile="/etc/inspircd/dhparams.pem" priority="NORMAL:-MD5" hash="sha1" sslv3="false" tlsv1="false">
 
<bind
       address="127.0.0.1"
       port="7000"
       type="servers">

<module name="m_chghost.so">
<module name="m_globops.so">
<module name="m_hidechans.so">
<module name="m_services_account.so">
<module name="m_spanningtree.so">
<module name="m_alias.so">
<module name="m_svshold.so">
<module name="m_chanprotect.so">
<module name="m_customprefix.so">
 
####### DIE and RESTART CONFIGRATION #######
 
<power
       diepass="mypassword"
       restartpass="mypassword">
 
####### CONNECT CONFIGURATION #######
 
<connect deny="3ffe::0/32" reason="The 6bone address space is deprecated">
 
<connect
         name="main"
         allow="*"
         #maxchans="30"
         timeout="10"
         pingfreq="120"
         hardsendq="1M"
         softsendq="8192"
         recvq="8K"
         threshold="10"
         commandrate="1000"
         fakelag="on"
         localmax="10"
         globalmax="10"
         useident="no"
         limit="5000"
         modes="+x">
 
####### CIDR CONFIGURATION #######
 
<cidr
      ipv4clone="32"
      ipv6clone="128">
 
####### INCLUDE FILE #######
 
<include file="/etc/inspircd/conf/opers.conf">
<include file="/etc/inspircd/conf/links.conf">
 
####### MISCELLANEOUS CONFIGURATION #######
 
<files motd="/etc/inspircd/conf/motd.txt" rules="/etc/inspircd/conf/rules.txt">
 
####### MAXIMUM CHANNELS #######
 
<channels
          users="20"
          opers="60">
 
####### PID FILE #######
 
<pid file="/run/inspircd/inspircd.pid">
 
####### BANLIST LIMITS #######
 
<banlist chan="#largechan" limit="128">
<banlist chan="*" limit="69">
 
####### SERVER OPTIONS #######
 
<options
         prefixquit="Quit: "
         suffixquit=""
         prefixpart="&quot;"
         suffixpart="&quot;"
         syntaxhints="no"
         cyclehosts="yes"
         cyclehostsfromuser="no"
         ircumsgprefix="no"
         announcets="yes"
         allowmismatch="no"
         defaultbind="auto"
         hostintopic="yes"
         pingwarning="15"
         serverpingfreq="60"
         defaultmodes="nt"
         moronbanner="You're banned! Email yone@natsu.com with the ERROR line below for help."
         exemptchanops="nonick:v flood:o"
         invitebypassmodes="yes"
         nosnoticestack="no"
         welcomenotice="yes">
 
 
####### PERFORMANCE CONFIGURATION #######
 
<performance
             netbuffersize="10240"
             somaxconn="128"
             limitsomaxconn="true"
             softlimit="12800"
             quietbursts="yes"
             nouserdns="no">
 
####### SECURITY CONFIGURATION #######
 
<security
          announceinvites="dynamic"
          hidemodes="eI"
          hideulines="no"
          flatlinks="no"
          hidewhois=""
          hidebans="no"
          hidekills=""
          hidesplits="no"
          maxtargets="20"
          customversion=""
          operspywhois="no"
          restrictbannedusers="yes"
          genericoper="no"
          userstats="Pu">
 
####### LIMITS CONFIGURATION #######
 
<limits
        maxnick="31"
        maxchan="64"
        maxmodes="20"
        maxident="11"
        maxquit="255"
        maxtopic="307"
        maxkick="255"
        maxgecos="128"
        maxaway="200">
 
####### LOGGING #######
 
<log method="file" type="* -USERINPUT -USEROUTPUT" level="default" target="logs/ircd.log">
 
####### WHOWAS OPTIONS #######
 
<whowas
        groupsize="10"
        maxgroups="100000"
        maxkeep="3d">
 
####### BAN OPTIONS #######
 
<badip
       ipmask="192.0.2.69"
       reason="No porn here thanks.">
 
<badnick
         nick="ChanServ"
         reason="Reserved For Services">
 
<badnick nick="NickServ" reason="Reserved For Services">
<badnick nick="OperServ" reason="Reserved For Services">
<badnick nick="MemoServ" reason="Reserved For Services">
 
<badhost
         host="*@banneduser.example.net">
 
<badhost host="root@*" reason="Don't IRC as root!">
<badhost host="*@198.51.100.0/24" reason="This subnet is bad.">
 
# exception: Hosts that are exempt from [kgz]lines.
<exception
           host="*@ircop.irc.bengreen.eu"
           reason="Oper's hostname">
 
####### INSANE BAN OPTIONS #######
 
<insane
        hostmasks="no"
        ipmasks="no"
        nickmasks="no"
        trigger="95.5">

